HMWKGraphInternal::Picture Struct Reference

Internal: the picture of a HMWKGraph. More...

## Public Member Functions

| Picture (shared_ptr< HMWKZone > zone)
| constructor More...
| ~Picture ()
| destructor More...

## Public Attributes

shared_ptr< HMWKZone > | m_zone
| the main zone More...
long | m_pos [2]
| the first and last position of the picture data in the zone More...
long | m_fileId
| the file id More...
bool | m_parsed
| a flag to know if the picture was send to the receiver More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Picture const &pict)
| operator<< More...

## Detailed Description

Internal: the picture of a HMWKGraph.

## Constructor & Destructor Documentation

HMWKGraphInternal::Picture::Picture | ( | shared_ptr< HMWKZone > | zone | ) |

inline

constructor

HMWKGraphInternal::Picture::~Picture | ( |  | ) |

inline

destructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Picture const & | pict
| ) |  |

friend

operator<<

## Member Data Documentation

std::string HMWKGraphInternal::Picture::m_extra

extra data

long HMWKGraphInternal::Picture::m_fileId

the file id

bool HMWKGraphInternal::Picture::m_parsed

mutable

a flag to know if the picture was send to the receiver

Referenced by HMWKGraph::flushExtra(), and HMWKGraph::sendPicture().

long HMWKGraphInternal::Picture::m_pos[2]

the first and last position of the picture data in the zone

Referenced by Picture(), and HMWKGraph::sendPicture().

shared_ptr<HMWKZone> HMWKGraphInternal::Picture::m_zone

the main zone

Referenced by HMWKGraph::sendPicture().

The documentation for this struct was generated from the following file:

- HMWKGraph.cxx